Ensure there are no hard-coded IPs in use for beta
Closed, ResolvedPublic

Description

In preparation for the region migration of beta cluster, we need to ensure that there are no IP addresses for beta hard-coded anywhere in puppet and instead that we switch to using DNS lookups.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 29 2018, 7:58 PM

A git grep for 10.68 yields a good amount of stuff related to beta-cluster.

FrEx:

hieradata/labs/deployment-prep/common.yaml
191:    - 10.68.23.25:11211:1  # deployment-memc04
192:    - 10.68.23.49:11211:1  # deployment-memc05
197:        host: 10.68.23.25  # deployment-memc04
200:        host: 10.68.23.49  # deployment-memc05
245:"role::url_downloader::url_downloader_ip": 10.68.19.117 # deployment-urldownloader02
329:        host: 10.68.19.242 # deployment-redis06
332:        host: 10.68.20.16 # deployment-redis06

There is stuff in network::constants as well.

mmodell added a subscriber: mmodell.Nov 8 2018, 6:08 PM

Change 472507 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/puppet@production] Change static IPs to host names

https://gerrit.wikimedia.org/r/472507

mmodell added a subscriber: dduvall.Nov 8 2018, 6:14 PM
greg assigned this task to mmodell.Nov 8 2018, 11:25 PM

Change 472507 merged by Andrew Bogott:
[operations/puppet@production] Change static IPs to host names

https://gerrit.wikimedia.org/r/472507

greg triaged this task as Normal priority.Nov 27 2018, 9:08 PM
greg added a subscriber: greg.

Are we good here?

bd808 added a subscriber: bd808.Nov 27 2018, 11:30 PM

All of the 10.* references in hieradata/labs/deployment-prep/common.yaml are gone now, but a few 172.16.* ones have crept in there as well as in the hiera data managed in Horizon. It turns out that there are at least a few Puppet modules (for example ::profile::mediawiki::nutcracker) that only work with IP addresses.

Yeah. There's some notes after relevant lines in https://etherpad.wikimedia.org/p/deployment-prep-to-neutron about what got updated and where.

mmodell closed this task as Resolved.Jan 7 2019, 9:56 PM

I guess this is resolved to the extent that it is possible to resolve it.